%define namedreltag .Final
%define namedversion %{version}%{?namedreltag}

Name:           hibernate-validator
Version:        4.2.0
Release:        3%{?dist}
Summary:        Bean Validation (JSR 303) Reference Implementation

Group:          Development/Libraries
License:        ASL 2.0 

URL:            http://www.hibernate.org/subprojects/validator.html

# git clone git://github.com/hibernate/hibernate-validator
# cd hibernate-validator/ && git archive --format=tar --prefix=hibernate-validator-4.2.0.Final/ 4.2.0.Final | xz > hibernate-validator-4.2.0.Final.tar.xz
Source0:        hibernate-validator-4.2.0.Final.tar.xz
Patch0:         hibernate-validator-4.2.0.Final-pom.patch

BuildArch:      noarch

BuildRequires:  jpackage-utils
BuildRequires:  java-devel
BuildRequires:  maven
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-install-plugin
BuildRequires:  maven-jar-plugin
BuildRequires:  maven-javadoc-plugin
BuildRequires:  maven-release-plugin
BuildRequires:  maven-resources-plugin
BuildRequires:  maven-surefire-plugin
BuildRequires:  maven-enforcer-plugin
BuildRequires:  jsoup
BuildRequires:  jtype
BuildRequires:  joda-time
BuildRequires:  geronimo-validation
BuildRequires:  maven-injection-plugin
BuildRequires:  hibernate-jpa-2.0-api
BuildRequires:  jaxb2-maven-plugin

Requires:       hibernate-jpa-2.0-api
Requires:       jpackage-utils
Requires:       geronimo-validation
Requires:       java
Requires:       jsoup
Requires:       jtype
Requires:       joda-time
Requires:       slf4j

%description
Bean Validation (JSR 303) Reference Implementation

%package javadoc
Summary:        API docs for %{name}
Group:          Documentation
Requires:       jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n hibernate-validator-%{namedversion}
%patch0 -p1

%build
# running tests requires hibernate proper, so skip for now
mvn-rpmbuild -Dmaven.test.skip=true install javadoc:aggregate
%{__perl} -pi -e 's/\r$//g' readme.txt

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}

# JAR
install -m 644 hibernate-validator/target/%{name}-%{version}.Final.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# JAVADOC
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# POM
install -pm 644 pom.xml \
        $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}-parent.pom
install -pm 644 %{name}/pom.xml \
        $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom

# DEPMAP
%add_maven_depmap JPP-%{name}-parent.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

%files
%doc license.txt readme.txt changelog.txt
%{_mavenpomdir}/JPP-%{name}-parent.pom
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%{_javadir}/%{name}.jar

%files javadoc
%doc license.txt
%{_javadocdir}/%{name}

%changelog
* Sat Jan 21 2012 Marek Goldmann <mgoldman@redhat.com> - 4.2.0-3
- Building all classes with jaxb2 xjc target

* Wed Dec 14 2011 Andy Grimm <agrimm@gmail.com> - 4.2.0-2
- include both pom files, with correct names

* Tue Oct 18 2011 Andy Grimm <agrimm@gmail.com> - 4.2.0-1
- Initial package
